using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATSetData")]
public partial class AtsetDatum
{
    [Column("EventID")]
    public int EventId { get; set; }

    [Column("ProcessID")]
    public int ProcessId { get; set; }

    [StringLength(255)]
    public string EventName { get; set; } = null!;

    [StringLength(64)]
    public string? ToType { get; set; }

    [StringLength(64)]
    public string? Variable { get; set; }

    [StringLength(64)]
    public string? FromType { get; set; }

    [StringLength(64)]
    public string? Value { get; set; }
}
